import * as oa from 'openapi3-ts';
import { MetadataArgsStorage } from './parser/routeTypes';
export interface Config {
    controllers: Function[];
    models: Function[];
    storage: MetadataArgsStorage;
}
export declare function generateSwagger(config: Config, additional?: Partial<oa.OpenAPIObject>): oa.OpenAPIObject;
export declare function generateOpenAPI(config: Config, additional?: Partial<oa.OpenAPIObject>): oa.OpenAPIObject;
