import 'reflect-metadata';
import * as oa from 'openapi3-ts';
import { Route } from './types';
import { ParamMetadataArgs } from './routeTypes';
import { ParametersOptions } from '../decorator-options';
export declare function getCustomParameters(route: Route): ParametersOptions[];
export declare function getParamSchema(param: ParamMetadataArgs): oa.SchemaObject | oa.ReferenceObject;
export declare function getHeaderParams(route: Route): oa.ParameterObject[];
export declare function getPathParams(route: Route): oa.ParameterObject[];
export declare function getQueryParams(route: Route): oa.ParameterObject[];
export declare function getBodyParams(route: Route): oa.ParameterObject[];
export declare function getParameters(route: Route): oa.ParameterObject[];
